Package com.sun.speech.engine.synthesis.text

# Class TextSynthesizerModeDesc

SynthesizerModeDesc
com.sun.speech.engine.synthesis.text.TextSynthesizerModeDesc

public class TextSynthesizerModeDesc extends SynthesizerModeDesc
Describes the `TextSynthesizer`. Builds up the voice list and other data.

## Constructor Summary

Constructors
Constructor
Description
`TextSynthesizerModeDesc()`
Class constructor.

## Method Summary

Modifier and Type
Method
Description
`Engine`
`createEngine()`
Constructs a text synthesizer with the properties of this mode desc.

## Constructor Details

### TextSynthesizerModeDesc

public TextSynthesizerModeDesc()
Class constructor.

## Method Details

### createEngine

public Engine createEngine() throws IllegalArgumentException, EngineException, SecurityException
Constructs a text synthesizer with the properties of this mode desc.